Package tigase.component.adhoc

# Class AdHocCommandException

java.lang.Object
java.lang.Throwable
java.lang.Exception
tigase.component.adhoc.AdHocCommandException

All Implemented Interfaces:
  `Serializable`

public class AdHocCommandException extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdHocCommandException(Element item, Authorization errorCondition)`
  `AdHocCommandException(Element item, Authorization errorCondition, String message)`
  `AdHocCommandException(Authorization errorCondition)`
  `AdHocCommandException(Authorization errorCondition, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `Authorization`
  `getErrorCondition()`
  `Element`
  `getItem()`
  `String`
  `getMessage()`
  `String`
  `getName()`
  `String`
  `getType()`
  `Element`
  `makeElement()`
  `Element`
  `makeElement(boolean insertOriginal)`
  `Element`
  `makeElement(Element sourceElement)`
  `Element`
  `makeErrorElement()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdHocCommandException

    public AdHocCommandException(Authorization errorCondition)

  - ### AdHocCommandException

    public AdHocCommandException(Authorization errorCondition, String message)

  - ### AdHocCommandException

    public AdHocCommandException(Element item, Authorization errorCondition)

  - ### AdHocCommandException

    public AdHocCommandException(Element item, Authorization errorCondition, String message)

- ## Method Details

  - ### getCode

    public String getCode()
    Returns:
      Returns the code.

  - ### getErrorCondition

    public Authorization getErrorCondition()

  - ### getItem

    public Element getItem()
    Returns:
      Returns the item.

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getName

    public String getName()
    Returns:
      Returns the name.

  - ### getType

    public String getType()
    Returns:
      Returns the type.

  - ### makeElement

    public Element makeElement()

  - ### makeElement

    public Element makeElement(boolean insertOriginal)

  - ### makeElement

    public Element makeElement(Element sourceElement)

  - ### makeErrorElement

    public Element makeErrorElement()